## digimend-dkms 10

=== Makefile ===
obj-m := hid-kye.o hid-uclogic.o hid-polostar.o hid-viewsonic.o
hid-uclogic-objs := \
	hid-uclogic-core.o \
	hid-uclogic-rdesc.o \
	hid-uclogic-params.o
KVERSION := $(shell uname -r)
KDIR := /lib/modules/$(KVERSION)/build
PWD := $(shell pwd)
DESTDIR =
UDEV_RULES = $(DESTDIR)/lib/udev/rules.d/90-digimend.rules
DEPMOD_CONF = $(DESTDIR)/etc/depmod.d/digimend.conf
DRACUT_CONF_DIR = $(DESTDIR)/usr/lib/dracut/dracut.conf.d
DRACUT_CONF = $(DRACUT_CONF_DIR)/90-digimend.conf
HID_REBIND = $(DESTDIR)/lib/udev/hid-rebind
DIGIMEND_DEBUG = $(DESTDIR)/usr/sbin/digimend-debug
XORG_CONF := $(DESTDIR)/usr/share/X11/xorg.conf.d/50-digimend.conf
PACKAGE_NAME = digimend-kernel-drivers
PACKAGE_VERSION = 10
PACKAGE = $(PACKAGE_NAME)-$(PACKAGE_VERSION)
DKMS_MODULES_NAME = digimend
DKMS_MODULES = $(DKMS_MODULES_NAME)/$(PACKAGE_VERSION)
DKMS_SOURCE_DIR = $(DESTDIR)/usr/src/$(DKMS_MODULES_NAME)-$(PACKAGE_VERSION)

modules modules_install clean:
	$(MAKE) -C $(KDIR) M=$(PWD) $@

depmod_conf_install:
	install -D -m 0644 depmod.conf $(DEPMOD_CONF)
	depmod -a

depmod_conf_uninstall:
	rm -vf $(DEPMOD_CONF)
	depmod -a

dracut_conf_install:
	set -e -x; \
	if test -e $(DRACUT_CONF_DIR); then \
	    install -m 0644 dracut.conf $(DRACUT_CONF); \
	    dracut --force; \
	fi

dracut_conf_uninstall:
	set -e -x; \
	if test -e $(DRACUT_CONF); then \
	    rm -v $(DRACUT_CONF); \
	    dracut --force; \
	fi

xorg_conf_install:
	install -D -m 0644 xorg.conf $(XORG_CONF)

xorg_conf_uninstall:
	rm -vf $(XORG_CONF)

tools_install:
	install -D -m 0755 digimend-debug $(DIGIMEND_DEBUG)

tools_uninstall:
	rm -vf $(DIGIMEND_DEBUG)

udev_rules_install_files:
	install -D -m 0755 hid-rebind $(HID_REBIND)
	install -D -m 0644 udev.rules $(UDEV_RULES)

udev_rules_install: udev_rules_install_files
	udevadm control --reload

udev_rules_uninstall_files:
	rm -vf $(UDEV_RULES) $(HID_REBIND)

udev_rules_uninstall: udev_rules_uninstall_files
	udevadm control --reload

modules_uninstall:
	rm -vf /lib/modules/*/extra/hid-kye.ko \
	       /lib/modules/*/extra/hid-polostar.ko \
	       /lib/modules/*/extra/hid-uclogic.ko \
	       /lib/modules/*/extra/hid-viewsonic.ko

install: modules modules_install depmod_conf_install dracut_conf_install udev_rules_install xorg_conf_install tools_install

uninstall: tools_uninstall xorg_conf_uninstall udev_rules_uninstall dracut_conf_uninstall depmod_conf_uninstall modules_uninstall

dkms_check:
	@if ! which dkms >/dev/null; then \
	    echo "DKMS not found, aborting." >&2; \
	    echo "Make sure DKMS is installed,"; \
	    echo "and \"make\" is running under sudo, or as root."; \
	    exit 1; \
	fi

dkms_source_install:
	install -m 0755 -d $(DKMS_SOURCE_DIR)
	install -m 0644 Makefile *.[hc] $(DKMS_SOURCE_DIR)
	install -m 0755 -d $(DKMS_SOURCE_DIR)/usbhid
	install -m 0644 usbhid/*.[hc] $(DKMS_SOURCE_DIR)/usbhid

dkms_modules_install: dkms_check
	@if dkms status $(DKMS_MODULES_NAME) | grep . >/dev/null; then \
	    echo "DKMS has DIGImend modules added already, aborting." >&2; \
	    echo "Run \"make dkms_uninstall\" first" >&2; \
	    exit 1; \
	fi
	dkms add .
	dkms build $(DKMS_MODULES)
	dkms install $(DKMS_MODULES)

dkms_modules_uninstall: dkms_check
	set -e -x; \
	dkms status $(DKMS_MODULES_NAME) | \
	    while IFS=':' read -r modules status; do \
	        echo "$$modules" | { \
	            IFS=', ' read -r modules_name modules_version \
	                             kernel_version kernel_arch ignore; \
	            if [ -z "$$kernel_version" ]; then \
	                dkms remove \
	                            "$$modules_name/$$modules_version" \
	                            --all; \
	            else \
	                dkms remove \
	                            "$$modules_name/$$modules_version" \
	                            -k "$$kernel_version/$$kernel_arch"; \
	            fi; \
	        } \
	    done

dkms_install: dkms_modules_install depmod_conf_install dracut_conf_install udev_rules_install xorg_conf_install tools_install

dkms_uninstall: tools_uninstall xorg_conf_uninstall udev_rules_uninstall dracut_conf_uninstall depmod_conf_uninstall dkms_modules_uninstall

dist:
	git archive --format=tar.gz --prefix=$(PACKAGE)/ HEAD > $(PACKAGE).tar.gz

=== debian/changelog ===
digimend-dkms (10-4) unstable; urgency=medium

  * debian/control
    - Revert previous changes about missing Depends.
      It should follow common -dkms packaging practice.

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 28 May 2021 21:34:06 +0900

digimend-dkms (10-3) unstable; urgency=medium

  * debian/control
    - Add missing Depends: (Closes: #988134)

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 11 May 2021 13:30:01 +0900

digimend-dkms (10-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 06 Feb 2021 14:08:36 +0900

digimend-dkms (10-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #978068)

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 25 Dec 2020 20:12:45 +0900

=== debian/control ===
Source: digimend-dkms
Section: kernel
Priority: optional
Maintainer: Kentaro Hayashi <kenhys@xdump.org>
Build-Depends:
 debhelper-compat (= 13),
 dkms
Standards-Version: 4.5.1
Homepage: https://github.com/DIGImend/digimend-kernel-drivers
Vcs-Git: https://salsa.debian.org/debian/digimend-dkms.git
Vcs-Browser: https://salsa.debian.org/debian/digimend-dkms
Rules-Requires-Root: no

Package: digimend-dkms
Architecture: all
Depends:
 ${misc:Depends},
 xserver-xorg-input-wacom
Description: Collection of graphics tablet drivers by DIGImend project
 This is a collection of graphics tablet drivers for the Linux kernel, produced
 and maintained by the DIGImend project.
 .
 See http://digimend.github.io/drivers/digimend/tablets/ for a list of
 supported tablet models.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

version := $(shell dpkg-parsechangelog --show-field Version | cut -d'-' -f1)

# main packaging script based on dh7 syntax
%:
	dh $@ --with dkms

build:

override_dh_auto_clean:

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/digimend-dkms dkms_source_install udev_rules_install_files xorg_conf_install tools_install

override_dh_dkms:
	dh_dkms -p digimend-dkms -V -- dkms.conf

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/digimend-kernel-drivers-$1\.tar\.gz/ https://github.com/DIGImend/digimend-kernel-drivers/tags .*\/v(\d\S+)\.tar\.gz

## digimend-dkms 11

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DIGIMEND_DEBUG = $(DESTDIR)/usr/sbin/digimend-debug
 XORG_CONF := $(DESTDIR)/usr/share/X11/xorg.conf.d/50-digimend.conf
 PACKAGE_NAME = digimend-kernel-drivers
-PACKAGE_VERSION = 10
+PACKAGE_VERSION = 11
 PACKAGE = $(PACKAGE_NAME)-$(PACKAGE_VERSION)
 DKMS_MODULES_NAME = digimend
 DKMS_MODULES = $(DKMS_MODULES_NAME)/$(PACKAGE_VERSION)
@@ -110,8 +110,8 @@
 	dkms status $(DKMS_MODULES_NAME) | \
 	    while IFS=':' read -r modules status; do \
 	        echo "$$modules" | { \
-	            IFS=', ' read -r modules_name modules_version \
-	                             kernel_version kernel_arch ignore; \
+	            IFS=',/ ' read -r modules_name modules_version \
+	                              kernel_version kernel_arch ignore; \
 	            if [ -z "$$kernel_version" ]; then \
 	                dkms remove \
 	                            "$$modules_name/$$modules_version" \

=== debian/changelog ===
digimend-dkms (11-2) unstable; urgency=medium

  * debian/control
    - Specify Architecture: because depending xserver-xorg-input-wacom
      is only available linux-any but not s390x.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 26 Nov 2022 16:23:34 +0900

digimend-dkms (11-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.
  * Do not attempt to build modules for kernels without CONFIG_USB_HID.

  [ Kentaro Hayashi ]
  * debian/watch
    - Fold long line
  * New upstream version 11

 -- Kentaro Hayashi <kenhys@xdump.org>  Tue, 22 Nov 2022 21:15:33 +0900

digimend-dkms (10-5) unstable; urgency=medium

  * debian/control
    - Bump standards-version to 4.6.0.1. No other changes are required.
  * debian/copyright
    - Refresh copyright fields.
  * debian/watch
    - Refresh rule to ignore -rc0.

 -- Kentaro Hayashi <kenhys@xdump.org>  Mon, 04 Apr 2022 21:25:27 +0900

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,18 @@
 Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends:
  debhelper-compat (= 13),
- dkms
-Standards-Version: 4.5.1
+ dh-sequence-dkms,
+Standards-Version: 4.6.1
 Homepage: https://github.com/DIGImend/digimend-kernel-drivers
 Vcs-Git: https://salsa.debian.org/debian/digimend-dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/digimend-dkms
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
+# xserver-xorg-input-wacom [!s390x]
+# See https://buildd.debian.org/quinn-diff/Packages-arch-specific
 Package: digimend-dkms
-Architecture: all
+Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha hppa ia64 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
 Depends:
  ${misc:Depends},
  xserver-xorg-input-wacom

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with dkms
+	dh $@
 
 build:

## digimend-dkms 12

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DIGIMEND_DEBUG = $(DESTDIR)/usr/sbin/digimend-debug
 XORG_CONF := $(DESTDIR)/usr/share/X11/xorg.conf.d/50-digimend.conf
 PACKAGE_NAME = digimend-kernel-drivers
-PACKAGE_VERSION = 11
+PACKAGE_VERSION = 12
 PACKAGE = $(PACKAGE_NAME)-$(PACKAGE_VERSION)
 DKMS_MODULES_NAME = digimend
 DKMS_MODULES = $(DKMS_MODULES_NAME)/$(PACKAGE_VERSION)

=== debian/changelog ===
digimend-dkms (12-1ubuntu0.1) noble; urgency=medium

  * Support linux 6.14 (LP: #2110931)
    - debian/patches/support-linux-6.12.patch

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 15 May 2025 15:03:03 -0500

digimend-dkms (12-1) unstable; urgency=medium

  * New upstream version 12
  * debian/salsa-ci.yml
    - Add default CI pipeline
  * debian/patches/support-kernel-6.3.patch
    * Drop needless patch which is fixed in upstream.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 25 Feb 2024 20:15:18 +0900

digimend-dkms (11-7) unstable; urgency=medium

  * debian/control
    - Add build support for loongarch64 (Closes: #1059079)
    - Drop mipsel port from Architecture:
  * debian/rules
    - Use DEB_VERSION_EPOCH_UPSTREAM variable.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 23 Dec 2023 15:48:04 +0900

digimend-dkms (11-6) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * debian/control
   debian/patches/udev-udevdir.patch
   - Delegate placement of udev files to pkg-config data (Closes: #1057748)

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 14 Dec 2023 14:09:41 +0900

digimend-dkms (11-5) experimental; urgency=medium

  [ Chris Hofstaedtler ]
  * debian/control
   debian/patches/udev-udevdir.patch
   - Delegate placement of udev files to pkg-config data

 -- Kentaro Hayashi <kenhys@xdump.org>  Thu, 14 Dec 2023 13:26:54 +0900

digimend-dkms (11-4) experimental; urgency=medium

  [ Chris Hofstaedtler ]
  * debian/control
   debian/patches/udev-udevdir.patch
   - Delegate placement of udev files to pkg-config data

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 09 Dec 2023 18:01:30 +0900

digimend-dkms (11-3) unstable; urgency=medium

  * debian/control
    - Bump standards-version to 4.6.2. No changes are required.
  * debian/patches/support-kernel-6.3.patch
    * Fix FTBFS error with kernel 6.3 or later. (Closes: #1037995)

 -- Kentaro Hayashi <kenhys@xdump.org>  Fri, 16 Jun 2023 12:52:28 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: digimend-dkms
 Section: kernel
 Priority: optional
-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
-Standards-Version: 4.6.1
+ pkgconf,
+ systemd-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/DIGImend/digimend-kernel-drivers
 Vcs-Git: https://salsa.debian.org/debian/digimend-dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/digimend-dkms
@@ -15,7 +18,8 @@
 # xserver-xorg-input-wacom [!s390x]
 # See https://buildd.debian.org/quinn-diff/Packages-arch-specific
 Package: digimend-dkms
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el alpha hppa ia64 m68k powerpc ppc64 riscv64 sh4 sparc64 x32
+# See https://buildd.debian.org/status/package.php?p=digimend-dkms
+Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 alpha hppa ia64 loong64 m68k powerpc ppc64 sh4 sparc64 x32
 Depends:
  ${misc:Depends},
  xserver-xorg-input-wacom

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,9 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-version := $(shell dpkg-parsechangelog --show-field Version | cut -d'-' -f1)
+# Use dpkg 1.16.1 or later.
+include /usr/share/dpkg/pkg-info.mk
+version := $(DEB_VERSION_EPOCH_UPSTREAM)
 
 # main packaging script based on dh7 syntax
 %:

=== debian/watch ===
version=4
opts=\
  filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/digimend-kernel-drivers-$1\.tar\.gz/ \
  https://github.com/DIGImend/digimend-kernel-drivers/tags .*\/v(\d+)\.tar\.gz

## digimend-dkms 13

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DIGIMEND_DEBUG = $(DESTDIR)/usr/sbin/digimend-debug
 XORG_CONF := $(DESTDIR)/usr/share/X11/xorg.conf.d/50-digimend.conf
 PACKAGE_NAME = digimend-kernel-drivers
-PACKAGE_VERSION = 12
+PACKAGE_VERSION = 13
 PACKAGE = $(PACKAGE_NAME)-$(PACKAGE_VERSION)
 DKMS_MODULES_NAME = digimend
 DKMS_MODULES = $(DKMS_MODULES_NAME)/$(PACKAGE_VERSION)

=== debian/changelog ===
digimend-dkms (13-5) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * debian/salsa-ci.yml
    - Disable crossbuild CI
  * debian/patches/support-linux-6.15.patch
    - Add patch to support linux 6.15 (Closes: #1106548)
  * debian/control
    - Bump Standards-Version to 4.7.2. no changes required.
  * debian/watch
    - Use d/watch v5

  [ Andreas Beckmann ]
  * dkms.conf: Switch to BUILD_EXCLUSIVE_CONFIG="CONFIG_USB_HID"
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="4.3"

 -- Kentaro Hayashi <kenhys@xdump.org>  Wed, 20 Aug 2025 18:31:56 +0900

digimend-dkms (13-4) unstable; urgency=medium

  * debian/rules
    - Install xorg.conf by default. Keep /usr/share/X11/xorg.conf.d/50-digimend.conf
      untouched.
  * debian/preinst
    - Revert deprecated symlink in /etc/X11/xorg.conf.d/50-digimend.conf during upgrading.

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 22 Dec 2024 15:08:40 +0900

digimend-dkms (13-3) unstable; urgency=medium

  * debian/patches/avoid-module-name-conflict.patch
    - Add patch to rename modules. Now
      kernel modules were shipped with hid-digimend prefix.
  * debian/install
    - Install modprobe configuration (digimend-dkms.conf)
  * debian/links
    - Enable xorg configuration by default.
  * debian/patches/support-huion-h641p.patch
    debian/patches/support-xppen-artist-10s.patch
    debian/patches/support-xppen-deco-m.patch
    - Apply HUION H641P, XP-Pen Deco M/Artist 10s patch

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 15 Dec 2024 14:19:32 +0900

digimend-dkms (13-2) unstable; urgency=medium

  * d/control
    - Bump Standards-Version to 4.7.0. no changes are required.
  * debian/patches/support-linux-6.12.patch
    - Add patch to support 6.12 (Closes: #1089494)
  * debian/patches/skip-without-CONFIG_USB_HID.patch
    debian/patches/udev-udevdir.patch
    - Update patchset comment

 -- Kentaro Hayashi <kenhys@xdump.org>  Sun, 08 Dec 2024 16:47:09 +0900

digimend-dkms (13-1) unstable; urgency=medium

  * New upstream version 13
  * debian/patches/skip-without-CONFIG_USB_HID.patch
    debian/patches/udev-udevdir.patch
    - Refresh patch files

 -- Kentaro Hayashi <kenhys@xdump.org>  Sat, 04 May 2024 10:20:10 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: digimend-dkms
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kentaro Hayashi <kenhys@xdump.org>
+Maintainer: Kentaro Hayashi <kenhys@xdump.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
  pkgconf,
  systemd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/DIGImend/digimend-kernel-drivers
 Vcs-Git: https://salsa.debian.org/debian/digimend-dkms.git
 Vcs-Browser: https://salsa.debian.org/debian/digimend-dkms

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,8 @@
 override_dh_auto_test:
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=$(CURDIR)/debian/digimend-dkms dkms_source_install udev_rules_install_files xorg_conf_install tools_install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/digimend-dkms dkms_source_install xorg_conf_install tools_install
+	install -D -m 0644 xorg.conf $(CURDIR)/debian/digimend-dkms/etc/X11/xorg.conf.d/50-digimend.conf
 
 override_dh_dkms:
 	dh_dkms -p digimend-dkms -V -- dkms.conf

=== debian/watch ===
Version: 5

Template: Github
Owner: DIGImend
Project: digimend-kernel-drivers
